Gå videre til hovedindhold

GoDaddy Hjælp

Ret fejl i WordPress plug-in

Følg disse trin for at rette fejl i plug-ins i WordPress.

Gør din WordPress-site klar til fejlfindingen:

  1. Du bør altid lave en sikkerhedskopiering af din site, før du foretager nogen fejlfinding.
  2. Deaktivér alle WordPress plug-ins; især eventuelle cachelagrende plug-ins.
  3. Deaktivér WP_CACHE, hvis din site bruger den.

Forstå en WordPress-relateret PHP-fejl

Hvis din tidligere fejlfinding afslørede en PHP-fejl, kan du bruge følgende tabel som hjælp til at forstå fejlen.


Fejltype Definition og næste trin
E_ERROR Dette er en alvorlig fejl, som afslutter script. Disse sker typisk ved at kalde et ikke-eksisterende objekt som f.eks. en klasse eller funktion. Dette kan ofte forekomme med inkompatibilitet mellem versioner. Du bør opdatere din WordPress-version, temaer og plug-ins.
E_WARNING Dette er en advarsel på kørselstidspunktet, som ikke forårsager afslutning af script. Disse er potentielle problemer, som forekommer, men ikke standser behandling af PHP. Disse kan ofte inkludere advarsler om frarådelse, hvilket indikerer, at din kode måske bruger en ældre version af PHP, og skal opdateres. En advarsel i dine PHP-logfiler har ikke nødvendigvis relation til det problem, du oplever.
E_PARSE Dette er fortolkningsfejl af kompileringstid. Dette antyder som regel en PHP-syntaksfejl, såsom et manglende semikolon ;, parentes (), kantet venstreparentes eller kantet højreparentes {}, eller alle andre syntaksfejl. Du bør gennemgå filen og linjen, som er specificeret i fejlmeddelelsen og se efter potentielle syntaksfejl.
E_NOTICE Dette er en meddelelse på kørselstidspunktet, som er forårsaget af en fejl i kode. Disse er typisk PHP-fejl, som ikke forårsager afslutning af script. Disse fejl indikerer, at der kan være et problem med koden, men det kan være scriptets normale funktionalitet. En almindelig årsag kan være brug af en PHP-variabel, som ikke er defineret. En bemærkning i dine PHP-logfiler har ikke nødvendigvis relation til det problem, du oplever.

Opdatér dine WordPress- komponenter

Når din WordPress-version, temaer eller plug-ins bliver opdateret, kan det skabe konflikt med de andre. Din site kan blive normal igen, hvis du opdaterer alle dine WordPress-komponenter.

Opdater følgende til de seneste versioner:

Relaterede trin

Flere oplysninger